(load "~/pkg/unihan/Unihan_Readings.el")
;; (load "~/pkg/emacs-jyutping/jyutping.el")

(defun hnx/define-char ()
  (interactive)
    (message "%s" (aref readings-table (following-char))))

(defun hnxb/quail-show-key ()
  "Always apply quail-show-key to chinese-ctlaub input method."
  (interactive)
  (if (string= current-input-method "chinese-ctlaub")
      (quail-show-key)
    (progn
      (set-input-method "chinese-ctlaub")
      (quail-show-key)
      (toggle-input-method))))

(defun hnxb/quail-show-key-define-char ()
  "Show input sequence and character definition in message buffer."
  (interactive)
  (progn (hnxb/quail-show-key) (hnx/define-char)))

(global-set-key (kbd "<f1> 1") #'hnxb/quail-show-key-define-char)
(global-set-key (kbd "<f1> 5") #'hnxb/quail-show-key)
(global-set-key (kbd "<f1> 6") #'hnxb/define-char)
(global-set-key (kbd "s-q") #'hnxb/quail-show-key-define-char)
(global-set-key (kbd "s-h") #'hnxb/quail-show-key-define-char)

(global-set-key (kbd "s-D") #'hnxb/quail-show-key)
(global-set-key (kbd "s-d") #'hnx/define-char)
(global-set-key (kbd "s-C") #'insert-char)
(global-set-key (kbd "s-c") #'describe-char)
